Bug 240094 - Review Request: winpdb - An advanced python debugger
Review Request: winpdb - An advanced python debugger
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-15 00:52 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-30 15:16:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2007-05-15 00:52:15 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/winpdb.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/winpdb-1.1.2-1.fc7.src.rpm
Description: 
Winpdb is an advanced python debugger, with support for smart breakpoints,
multiple threads, namespace modification, embedded debugging, encrypted
communication and speed of up to 20 times that of pdb.
Comment 1 Parag AN(पराग) 2007-05-15 03:17:31 EDT
first few comments
1) Build is failing. Add desktop-file-utils as BR
2) You don't need any requires 
Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils

3) May I know why update-desktop-database scriptlet is needed?
4) How about adding new directory named winpdb to 
%{python_sitelib} and install all *.py and *.pyc there?
5) Do we need any License file to be added in this package?

Comment 2 Tom "spot" Callaway 2007-05-30 15:19:16 EDT
1. Whoops.
2. You're right.
3. It isn't.
4. Can't do it. Then we'd have to patch winpdb to look in a different place, and
it seems to be a non-trivial patch. I'd rather not maintain it.
5. Nope. All of the .py files have a full copy of the GPL in their header already.

New SPEC: http://www.auroralinux.org/people/spot/review/winpdb.spec
New SRPM: http://www.auroralinux.org/people/spot/review/winpdb-1.1.2-2.fc7.src.rpm
Comment 3 Parag AN(पराग) 2007-06-04 21:12:42 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
69f8e4fc00c31e931d39aeca9da30291  winpdb-1.1.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc files are present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file installed correctly.
+ no scriptlets are used.
+ Requires: /usr/bin/env /usr/bin/python python(abi) = 2.5 python-crypto
wxPython >= 2.6
+ GUI app.
APPROVED.
Comment 4 Tom "spot" Callaway 2007-07-30 14:53:25 EDT
Did my own CVS. Here's the record of it.

New Package CVS Request
=======================
Package Name: winpdb
Short Description: An advanced python debugger
Owners: tcallawa@redhat.com
Branches: EL-4 EL-5 FC-6 F-7
InitialCC: 
Comment 5 Tom "spot" Callaway 2007-07-30 15:16:40 EDT
Built.

Note You need to log in before you can comment on or make changes to this bug.